- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RagTime5SpreadsheetInternal::ClusterChart Struct Reference

low level: the chart cluster data More...

Inheritance diagram for RagTime5SpreadsheetInternal::ClusterChart:

## Public Member Functions
| ClusterChart ()
| constructor More...
virtual | ~ClusterChart ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster ()
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_clusterLink
| cluster links list of size 60 More...
std::vector< RagTime5ClusterManager::Link > | m_serieLink [2]
| some content zone: first a double zone, second unknown zone with size 14 More...
RagTime5ClusterManager::Link | m_fixedPositionLink
| some fixed zone, 0: the list in pos 12 More...
RagTime5ClusterManager::Link | m_fixedLink [1]
| the other fixed zone of size 6 More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_Script, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterB, C_ClusterC, C_Unknown }
| the cluster type More...

## Detailed Description

low level: the chart cluster data

## Constructor & Destructor Documentation

RagTime5SpreadsheetInternal::ClusterChart::ClusterChart | ( |  | ) |
| inline

constructor

virtual RagTime5SpreadsheetInternal::ClusterChart::~ClusterChart | ( |  | ) |
| inline virtual

destructor

## Member Data Documentation

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterChart::m_clusterLink

cluster links list of size 60

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterChart::m_fixedLink[1]

the other fixed zone of size 6

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterChart::m_fixedPositionLink

some fixed zone, 0: the list in pos 12

std::vector<RagTime5ClusterManager::Link> RagTime5SpreadsheetInternal::ClusterChart::m_serieLink[2]

some content zone: first a double zone, second unknown zone with size 14

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx